<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />

		<meta name="author" content="Nikita Hubariev" />
		<meta
			name="description"
			content="The landing site with Nikita's deployed projects"
		/>
		<meta
			name="keywords"
			content="Nikita Hubariev, Gubchik, Gubchik123, Project board"
		/>

		<meta property="og:type" content="Landing site" />
		<meta property="og:site_name" content="Project board" />
		<meta property="og:title" content="Project board - Gubchik123" />
		<meta
			property="og:image"
			content="./md_images/Project-board_header.png"
		/>
		<meta
			property="og:url"
			content="https://gubchik123-project-board.netlify.app/"
		/>
		<meta
			property="og:description"
			content="The landing site with Nikita's deployed projects"
		/>

		<meta name="twitter:card" content="summary_large_image" />
		<meta name="twitter:image:alt" content="Project board header image" />

		<title>Project board - Gubchik123</title>

		<!-- Site icon -->
		<link rel="icon" type="image/x-icon" href="./static/images/board.ico" />

		<!-- Bootstrap5 CSS -->
		<link
			rel="stylesheet"
			crossorigin="anonymous"
			href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css"
			integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT"
		/>

		<!-- My CSS file with styles -->
		<link rel="stylesheet" type="text/css" href="./static/css/style.css" />
	</head>
	<body>
		<div class="wrapper">
			<!-- The site header -->
			<header
				class="sticky-top d-flex flex-wrap align-content-center py-3 px-sm-1 px-md-4 bg-black"
			>
				<a
					href="#"
					class="d-flex align-items-center mb-3 mb-md-0 me-auto text-decoration-none"
				>
					<ion-icon name="albums" class="ms-3 text-white"></ion-icon>
					<span class="fs-4 ms-3 text-white">Project board</span>
				</a>

				<ul class="nav top-menu">
					<li class="nav-item">
						<a href="#sites" class="nav-link">Sites</a>
					</li>
					<li class="nav-item">
						<a href="#bots" class="nav-link">Bots</a>
					</li>
					<li class="nav-item">
						<a href="#apis" class="nav-link">APIs</a>
					</li>
					<li class="nav-item">
						<a href="#other" class="nav-link">Other</a>
					</li>
				</ul>
			</header>

			<!-- The block for "Sites" h2 title  -->
			<section id="sites" style="padding-bottom: 0">
				<div class="container">
					<!-- The title of the "Other projects" block -->
					<div class="row">
						<div class="col-12">
							<h2
								class="text-center text-white text-uppercase mb-5"
							>
								Sites
							</h2>
						</div>
					</div>
				</div>
			</section>

			<!-- The common block with my Django and Flask project -->
			<section style="padding-top: 0">
				<div class="container">
					<div class="row">
						<!-- The block with my Django site -->
						<section class="col-md-6 col-sm-12">
							<h3
								class="text-center text-white text-uppercase mb-5"
							>
								Django site
							</h3>
							<div
								class="sticker w-100 blue_bg d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://lapzone.tech"
										>
											LapZone
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/LapZone"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Django (django-allauth, django-ckeditor,
									django-recaptcha3), PostgreSQL, UnitTest,
									HTML5, CSS3, JavaScript, Bootstrap5
								</p>
								<!-- Project description -->
								<h6>
									The Internet shop for selling laptops and
									accessories for them.
								</h6>
							</div>
						</section>
						<!-- The block with my Flask site -->
						<section class="col-md-6 col-sm-12">
							<h3
								class="text-center text-white text-uppercase mb-5"
							>
								Flask site
							</h3>
							<div
								class="sticker yellow_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://itish.live"
										>
											ITish
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/ITish"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Flask (Flask-Admin, Flask-Login,
									Flask-Migrate, Flask-SQLAlchemy, Flask-WTF),
									MySQL, PyTest, HTML5, CSS3, JavaScript,
									Bootstrap5
								</p>
								<!-- Project description -->
								<h6>
									The blog site with registration to publish
									posts on the IT topic.
								</h6>
							</div>
						</section>
					</div>
				</div>
			</section>

			<!-- The block with my Bots -->
			<section id="bots">
				<div class="container">
					<!-- The title of the "Bots" block -->
					<div class="row">
						<div class="col-12">
							<h2
								class="text-center text-white text-uppercase mb-5"
							>
								Bots
							</h2>
						</div>
					</div>
					<!-- The content of the "Bots" block -->
					<div class="row">
						<!-- "WeatherBot" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker green_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://t.me/WeatherGubchikBot"
										>
											WeatherBot
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/WeatherGubchikBot"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									TelegramBotAPI (aiogram, pyTelegramBotAPI),
									APScheduler, PostgreSQL (psycopg2), parsing
									(requests, BeautifulSoup4, lxml)
								</p>
								<!-- Project description -->
								<h6>
									The bot for searching information about the
									weather in cities around the world
									(there is mailing).
								</h6>
							</div>
						</div>
						<!-- "SmileBot" project -->
						<div class="col-md-6 col-sm-12">
							<div
								class="sticker green_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://t.me/SmileGubchikBot"
										>
											SmileBot
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/SmileGubchikBot"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									TelegramBotAPI (aiogram), parsing (requests,
									BeautifulSoup4, lxml)
								</p>
								<!-- Project description -->
								<h6>The bot for jokes and memes.</h6>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- The block for "APIs" h2 title  -->
			<section id="apis" style="padding-bottom: 0">
				<div class="container">
					<!-- The title of the "APIs" block -->
					<div class="row">
						<div class="col-12">
							<h2
								class="text-center text-white text-uppercase mb-5"
							>
								APIS
							</h2>
						</div>
					</div>
				</div>
			</section>

			<!-- The block with my REST APIs -->
			<section style="padding-top: 0">
				<div class="container">
					<!-- The title of the "APIs" block -->
					<div class="row">
						<div class="col-12">
							<h2
								class="text-center text-white text-uppercase mb-5"
							>
								REST
							</h2>
						</div>
					</div>
					<!-- The content of the "APIs" block -->
					<div class="row">
						<!-- "LapZoneAPI" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker orange_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">LapZoneAPI</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/LapZoneAPI"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Django (+ Django REST Framework, djoser,
									ckeditor, cors-headers), PostgreSQL
								</p>
								<!-- Project description -->
								<h6>API for the Internet shop "LapZone"</h6>
							</div>
						</div>
						<!-- "ITishAPI" project -->
						<div class="col-md-6 col-sm-12">
							<div
								class="sticker orange_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">ITishAPI</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/ITishAPI"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>FastAPI (+ SQLAlchemy), MySQL</p>
								<!-- Project description -->
								<h6>API for the blog site "ITish"</h6>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- The block with my gRPC APIs -->
			<section style="padding-top: 0">
				<div class="container">
					<!-- The title of the "gRPC" block -->
					<div class="row">
						<div class="col-12">
							<h2 class="text-center text-white mb-5">gRPC</h2>
						</div>
					</div>
					<!-- The content of the "gRPC" block -->
					<div class="row d-flex justify-content-center">
						<!-- "ITish gRPC" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker orange_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">ITish gRPC</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/ITish-gRPC"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									gRPC (+ health checking, reflection, tools),
									SQLAlchemy, JWT
								</p>
								<!-- Project description -->
								<h6>gRPC for the blog site "ITish"</h6>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- The block for "Other projects" h2 title  -->
			<section id="other" style="padding-bottom: 0">
				<div class="container">
					<!-- The title of the "Other projects" block -->
					<div class="row">
						<div class="col-12">
							<h2
								class="text-center text-white text-uppercase mb-5"
							>
								Other projects
							</h2>
						</div>
					</div>
				</div>
			</section>

			<!-- The block with my Static projects -->
			<section style="padding-top: 0">
				<div class="container">
					<!-- The title of the "Other projects" block -->
					<div class="row">
						<div class="col-12">
							<h3
								class="text-center text-white text-uppercase mb-5"
							>
								Static projects
							</h3>
						</div>
					</div>
					<!-- The content of the "Other projects" block -->
					<div class="row">
						<!-- "CV site" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mt-4 mb-2">
										<a
											target="_blank"
											href="https://nikita-hubariev.me"
										>
											CV site
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/CV-site"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									HTML5, CSS3, JavaScript, Bootstrap5, AOS
									(Animate On Scroll Library)
								</p>
								<!-- Project description -->
								<h6>
									My CV site with the following sections:
									<ul>
										<li>Contacts</li>
										<li>About Me</li>
										<li>Skills</li>
										<li>Projects</li>
										<li>Education</li>
									</ul>
								</h6>
							</div>
						</div>
						<!-- "Post HTML generator" project -->
						<div class="col-md-6 col-sm-12">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://post-html-generator.netlify.app/"
										>
											Post HTML generator
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/Post-HTML-generator"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>HTML5, CSS3, JavaScript, Bootstrap5</p>
								<!-- Project description -->
								<h6>
									The page for generating post HTML using easy
									interface and usable buttons.
								</h6>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- The block with my Vue.js projects -->
			<section>
				<div class="container">
					<!-- The title of the "Vue.js projects" block -->
					<div class="row">
						<div class="col-12">
							<h3
								class="text-center text-white text-uppercase mb-5"
							>
								Vue.js projects
							</h3>
						</div>
					</div>
					<!-- The content of the "Vue.js projects" block -->
					<div class="row">
						<!-- "LapZoneAPI frontend" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-2">
										LapZoneAPI frontend
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/LapZoneAPI-frontend"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Vue.js (+ Vue-Router and Vuex), HTML5, CSS3,
									JavaScript, Bootstrap5
								</p>
								<!-- Project description -->
								<h6>Frontend for the LapZoneAPI</h6>
							</div>
						</div>
						<!-- "ITishAPI frontend" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										ITishAPI frontend
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/ITishAPI-frontend"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Vue.js (+ Vue-Router and Vuex), HTML5, CSS3,
									JavaScript, Bootstrap5
								</p>
								<!-- Project description -->
								<h6>Frontend for the ITishAPI</h6>
							</div>
						</div>
						<!-- "Weather app" project -->
						<div class="col-md-6 col-sm-12 mb-4">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-2">
										<a
											target="_blank"
											href="https://gubchik123-weather.netlify.app"
										>
											Weather app
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/Vue-weather-app"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Vue.js, HTML5, CSS3, JavaScript, Bootstrap5
								</p>
								<!-- Project description -->
								<h6>
									Static landing page. Working with API
									(OpenWeather) to get weather data. There is
									the ability to switch the page into
									Ukrainian.
								</h6>
							</div>
						</div>
						<!-- "Calculator" project -->
						<div class="col-md-6 col-sm-12">
							<div
								class="sticker red_bg w-100 d-flex flex-column justify-content-around"
							>
								<div>
									<!-- Project title -->
									<h3 class="text-center mb-3">
										<a
											target="_blank"
											href="https://gubchik123-calculator.netlify.app/"
										>
											Calculator
										</a>
									</h3>
									<!-- Link to project GitHub repository -->
									<h6 class="text-center">
										(
										<a
											target="_blank"
											href="https://github.com/Gubchik123/Vue-calculator"
										>
											GitHub
										</a>
										)
									</h6>
								</div>
								<!-- Project stack -->
								<p>
									Vue.js, HTML5, CSS3, JavaScript, Bootstrap5
								</p>
								<!-- Project description -->
								<h6>
									Static landing page. There is a theme
									toggler between light and dark themes.
								</h6>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- Go to top button -->
			<button title="Go to top" id="go-to-top-btn">
				<ion-icon name="arrow-up-outline"></ion-icon>
			</button>

			<!-- The site footer -->
			<footer class="py-4 bg-black mt-5">
				<div class="container">
					<div class="row">
						<!-- The block with my social network links -->
						<div class="col-12 text-center social_networks">
							<!-- The link to my profile on "GitHub" -->
							<a
								target="_blank"
								class="btn btn-outline-light"
								href="https://github.com/Gubchik123"
							>
								<ion-icon name="logo-github"></ion-icon>
							</a>
							<!-- The link to my profile on "LinkedIn" -->
							<a
								target="_blank"
								class="btn btn-outline-light ms-2"
								href="https://www.linkedin.com/in/nikita-hubariev/"
							>
								<ion-icon name="logo-linkedin"></ion-icon>
							</a>
							<!-- The link to my profile on "Instagram" -->
							<a
								target="_blank"
								class="btn btn-outline-light ms-2"
								href="https://www.instagram.com/nikitos.1746/"
							>
								<ion-icon name="logo-instagram"></ion-icon>
							</a>
							<!-- The link to my profile on "Telegram" -->
							<a
								target="_blank"
								href="https://t.me/nikita_id791"
								class="btn btn-outline-light ms-2"
							>
								<ion-icon name="navigate-circle"></ion-icon>
							</a>
							<!-- The link to my profile on "Twitter" -->
							<a
								target="_blank"
								class="btn btn-outline-light ms-2"
								href="https://twitter.com/Gubchik123"
							>
								<ion-icon name="logo-twitter"></ion-icon>
							</a>
						</div>
					</div>
				</div>
			</footer>
		</div>

		<!-- Scripts for icons from "https://ionic.io/ionicons" -->
		<script
			type="module"
			src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"
		></script>
		<script
			nomodule
			src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"
		></script>

		<!-- Go to top button script -->
		<script src="./static/js/go_to_top_btn.js" defer></script>
	</body>
</html>
